Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362261 - Please enable the fluent API module in httpcomponents-client
Summary: Please enable the fluent API module in httpcomponents-client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: httpcomponents-client
Version: rh-java-common
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: alpha
: 2.3
Assignee: Mikolaj Izdebski
QA Contact: Lukas Zachar
URL:
Whiteboard:
Depends On:
Blocks: 1356160
TreeView+ depends on / blocked
 
Reported: 2016-08-01 18:38 UTC by Mat Booth
Modified: 2016-11-15 10:04 UTC (History)
4 users (show)

Fixed In Version: rh-java-common-httpcomponents-client-4.3.6-1.3.el6 rh-java-common-httpcomponents-client-4.3.6-1.3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-15 10:04:05 UTC


Attachments (Terms of Use)
Proposed patch (deleted)
2016-08-01 18:40 UTC, Mat Booth
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2727 normal SHIPPED_LIVE rh-java-common bug fix and enhancement update 2016-11-15 14:36:59 UTC

Description Mat Booth 2016-08-01 18:38:27 UTC
Some Eclipse bundles have started to use the HTTPComponents Client Fluent API, it would be good to enable it in java-commons so that we may begin using it.

Please see the attached patch.

Comment 1 Mat Booth 2016-08-01 18:40:06 UTC
Created attachment 1186508 [details]
Proposed patch

Comment 2 Mikolaj Izdebski 2016-08-02 08:34:00 UTC
Thanks for the patch, pushed and building.

Comment 6 errata-xmlrpc 2016-11-15 10:04:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2727.html


Note You need to log in before you can comment on or make changes to this bug.